View Issue Details

IDProjectCategoryView StatusLast Update
0002889unrealircdpublic2006-08-03 06:14
ReporterBockAssigned Tosyzop 
PrioritynormalSeverityminorReproducibilityalways
Status resolvedResolutionfixed 
PlatformallOSallOS Versionall
Product Version3.2.4 
Target VersionFixed in Version3.2.6 
Summary0002889: Noticing "oper override" on /mode #chan -h nick
DescriptionIf ircop has halfop at channel, on /mode #chan -h his_nick sending notice like (oper can override):
 -irc.bynets.org- *** OperOverride -- Bock|work (wax@localhost) MODE #tut.by -h Bock|work

The regular user without any modes:
[14:42:07] -› Mode: (Bock|work) sets (+h wx|wrk)
[14:42:08] -› Mode: (wx|wrk) sets (-h wx|wrk)

And if for oper block /* can_override;*/ (oper cann't override):
[14:37:23] -› Mode: (wx|wrk) sets (+h Bock|work)
[14:37:36] -› Mode: (Bock|work) sets (-h Bock|work)
and status window stay clear.
Steps To ReproduceWe get notice only, if oper for Bock|work included can_override; .
If /* can_override;*/, ircd didn't noticing for other ircops.
Maybe didn't check mode -h and mode -a in ircd? Cos for mode -o all working.
TagsNo tags attached.
3rd party modules

Relationships

has duplicate 0002961 resolvedstskeeps Operoverride notices on -h 

Activities

Bock

2006-04-20 06:52

reporter   ~0011586

We get notice only, if oper for Bock|work included can_override; .
If /* can_override;*/, ircd didn't noticing for other ircops.
Maybe didn't check mode -h and mode -a in ircd? Cos for mode -o all working.

Bock

2006-05-22 05:35

reporter   ~0011748

problem is actually..

[13:33:29] -› Mode: (ChanServ) sets (+a Bock)
[13:33:34] -› Mode: (Bock) sets (-a Bock)
[13:33:56] -› Mode: (ChanServ) sets (+h Bock)
[13:34:00] -› Mode: (Bock) sets (-h Bock)

[13:34:00] -n-o-l.bynets.org- *** OperOverride -- Bock (wax@wax.net1) MODE #Flood -h Bock

Bock

2006-07-23 10:04

reporter   ~0012082

Last edited: 2006-07-23 10:06

and one more bug with +a on channel.

-› Joined: (#d5)
-› Mode: (ChanServ) sets (+oa Bock|work Bock|work)
-› Kick: (Bock|work) was kicked by (Bock|work) (no reason)
-› Join: (Bock|work) (wax@ProxyChecker)
-› Mode: (ChanServ) sets (+oa Bock|work Bock|work)

If no ircop - all is ok.
But:
-› UserMode: is now (+oghaAsNW)
-› Server notice mask (+kfjveGqSso)
-› You are now an IRC Operator

[17:45:08] -› Kick: (Bock|work) was kicked by (Bock|work) (no reason)
[17:45:08] -› Join: (Bock|work) (wax@ProxyChecker)
[17:45:08] -› Mode: (ChanServ) sets (+oa Bock|work Bock|work)

In oper block oper don't have flag for oper_override;
On other server in network we get notice:
-irc.mgts.by- *** OperOverride -- Bock|work (wax@193.232.250.240) KICK #d5 Bock|work (no reason)
On server, there connect ircop - didn't get notice and in log clear:
cat /etc/ircd-unreal/ircd.log |grep OVERRIDE

On remote server:
root@ircserv:~(/var/log/ircd-unreal)> cat unreal.log|grep OVERRIDE
[Sun Jul 23 17:45:07 2006] - OVERRIDE: Bock|work (wax@193.232.250.240) KICK #d5 Bock|work (no reason)

On all servers logging operoverride.

And:
If server was compiled without operoverride support, server didn't get notices about overrides (but in config logging override is ON (tested on 3.2.5 Windows 2003 SP1).

syzop

2006-08-03 06:14

administrator   ~0012128

Fixed in .550.
Oper with +h doing -h on himself will no longer cause a operoverride message

You said: 'If server was compiled without operoverride support, server didn't get notices about overrides (but in config logging override is ON', maybe you can report this in a new bugreport, so we can fix this in Unreal3.3* later.

Issue History

Date Modified Username Field Change
2006-04-20 06:50 Bock New Issue
2006-04-20 06:52 Bock Note Added: 0011586
2006-05-22 05:35 Bock Note Added: 0011748
2006-07-23 10:04 Bock Note Added: 0012082
2006-07-23 10:06 Bock Note Edited: 0012082
2006-08-03 06:14 syzop Status new => resolved
2006-08-03 06:14 syzop Fixed in Version => 3.2.6
2006-08-03 06:14 syzop Resolution open => fixed
2006-08-03 06:14 syzop Assigned To => syzop
2006-08-03 06:14 syzop Note Added: 0012128
2007-04-27 03:53 stskeeps Relationship added has duplicate 0002961